clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::Diag Struct Reference

A top-level diagnostic that may have Notes and Fixes. More...

`#include <Diagnostics.h>`

Inheritance diagram for clang::clangd::Diag:
[legend]
Collaboration diagram for clang::clangd::Diag:
[legend]

## Public Attributes
std::vector< Note > | Notes
| Elaborate on the problem, usually pointing to a related piece of code. More...
std::vector< Fix > | Fixes
| Alternative fixes for this diagnostic, one should be chosen. More...
Public Attributes inherited from clang::clangd::DiagBase
std::string | Message
std::string | File
clangd::Range | Range
DiagnosticsEngine::Level | Severity = DiagnosticsEngine::Note
std::string | Category
bool | InsideMainFile = false

## Detailed Description

A top-level diagnostic that may have Notes and Fixes.

Definition at line 67 of file Diagnostics.h.

## Member Data Documentation

## ◆ Fixes

std::vector<Fix> clang::clangd::Diag::Fixes

Alternative fixes for this diagnostic, one should be chosen.

Definition at line 71 of file Diagnostics.h.

## ◆ Notes

std::vector<Note> clang::clangd::Diag::Notes

Elaborate on the problem, usually pointing to a related piece of code.

Definition at line 69 of file Diagnostics.h.

Referenced by clang::clangd::operator<<().

The documentation for this struct was generated from the following file:

- Diagnostics.h